﻿.show {
    display: block;
}

.screen-reader-only {
    border: 0;
    left: 0;
    top: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    white-space: nowrap;
    width: 1px;
    pointer-events: none;
}

.slot {
    position: absolute;
    pointer-events: none;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

    .slot > * {
        pointer-events: initial;
    }

.annotation-wrapper ::slotted(*) {
    opacity: var(--max-hotspot-opacity, 1);
    transition: opacity 0.3s;
}

.pointer-tumbling .annotation-wrapper ::slotted(*) {
    pointer-events: none;
}

.annotation-wrapper ::slotted(*) {
    pointer-events: initial;
}

.annotation-wrapper.hide ::slotted(*) {
    opacity: var(--min-hotspot-opacity, 0.25);
}

.slot.poster {
    display: none;
    background-color: inherit;
}

    .slot.poster.show {
        display: inherit;
    }

    .slot.poster > * {
        pointer-events: initial;
    }

    .slot.poster:not(.show) > * {
        pointer-events: none;
    }

#default-poster {
    width: 100%;
    height: 100%;
}
